# Class: dhcpd
#
# This module manages dhcpd
#
# Parameters:
#
# Actions:
#
# Requires: module blkwolf-bind if using ddns updating or at leas the same secret
# key settings.
#
# Sample Usage: include dhcpd
#
# [Remember: No empty lines between comments and class definition]
class dhcpd {

    package { "dhcp": }


    file { 
        "/etc/dhcp/dhcpd.conf":
            content => template("dhcp/dhcpd.conf.erb"),
            notify  => Service["dhcpd"],
            ensure  => file,
            require => Package[dhcp],
    } 

	# We will leave the service off for now until we can verify the configuration and switch over
    service { "dhcpd":
        ensure  => running,
        enable  => true,
        require => [ Package["dhcp"], File["/etc/dhcp/dhcpd.conf"] ],
    }
    
    # Create a symlink to the dhcpd.leases file to make it easier to find    
	file { '/etc/dhcp/dhcpd.leases':
		ensure => link,
	  	target => '/var/lib/dhcpd/dhcpd.leases',
	}

}
